INTERACT FORUM

Please login or register.

Login with username, password and session length
Advanced search  
Pages: [1]   Go Down

Author Topic: AMD64 build libs required  (Read 5236 times)

bob

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 13487
AMD64 build libs required
« on: April 07, 2015, 10:34:29 am »

Information for people trying to run on unsupported distros.

Many of these require other libs. If you have your dependencies in place you should be able to get MC to work.
The version of the library is important. Major version revisions often have different API's and as such won't work.

For Wheezy (builds prior to 20.0.100):

Code: [Select]
libidn11 1.25
libgnutls26 2.12
libgcrypt11 1.5
libgpg-error0 1.10
libtasn1-3 2.13
libuuid1 2.20

For Jessie:

Code: [Select]
libp11-kit0
libtasn1-6
libgnutls-deb0-28
libgcrypt20
libidn11 >=1.28
libuuid1

Standard libs that should exist on any linux AMD64 GUI platform.

Code: [Select]
libpthread
libdl
librt
libX11
libXext

These graphics libs and their dependencies should exist on most any linux AMD64 GUI platform. You may need to retrieve proper versions.

Code: [Select]
libgtk2.0 2.24
libglib-2.0 2.32
libgl1 or libgl1-mesa-glx
xdg-utils
exo-utils or kde-runtime or konqueror  or gvfs-bin or libgnome2-0 or pcmanfm

The base (PCF ONLY) Lucida font is usually found in

Code: [Select]
xfonts-75dpi
The actual default font is the following:

Code: [Select]
-b&h-lucida-medium-r-normal-sans-12-120-75-75-p-71-iso10646-1
The unifont is the following:

Code: [Select]
-gnu-unifont-medium-r-normal--16-160-75-75-c-80-iso10646-1
For ALSA

Code: [Select]
libasound2 1.0.25
Logged

RemyJ

  • Regular Member
  • Citizen of the Universe
  • *****
  • Posts: 1245
Re: AMD64 build libs required
« Reply #1 on: April 07, 2015, 10:36:03 am »

Thanks Bob!  Will test today.
Logged
Fedora 38 x86_64 Xfce

astromo

  • MC Beta Team
  • Citizen of the Universe
  • *****
  • Posts: 2239
Re: AMD64 build libs required
« Reply #2 on: April 10, 2015, 04:00:17 am »

For the clueless amongst us [yep, me again], how do you add these libs to a system?

Is it a simple:
Code: [Select]
sudo apt-get install ??

Or is it something more involved?
Logged
MC31, Win10 x64, HD-Plex H5 Gen2 Case, HD-Plex 400W Hi-Fi DC-ATX / AC-DC PSU, Gigabyte Z370 ULTRA Gaming 2.0 MoBo, Intel Core i7 8700 CPU, 4x8GB GSkill DDR4 RAM, Schiit Modi Multibit DAC, Freya Pre, Nelson Pass Aleph J DIY Clone, Ascension Timberwolf 8893BSRTL Speakers, BJC 5T00UP cables, DVB-T Tuner HDHR5-4DT

bob

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 13487
Re: AMD64 build libs required
« Reply #3 on: April 10, 2015, 10:41:12 am »

For the clueless amongst us [yep, me again], how do you add these libs to a system?

Is it a simple:
Code: [Select]
sudo apt-get install ??

Or is it something more involved?

This information is mainly for people trying to get MC running on non-debian based distros (Suse, Centos, etc).
Debian based distros like Ubuntu and Mint would likely get everything they need by using the MC apt repositories.
Logged
Pages: [1]   Go Up